SUSE-SU-2017:1914-1: important: Security update for Linux Kernel Live Patch 3 for SLE 12 SP2

The following information has been provided by the opensuse security announce mailing lisT

SUSE Security Update: Security update for Linux Kernel Live Patch 3 for SLE 12 SP2
______________________________________________________________________________

Announcement ID:    SUSE-SU-2017:1914-1
Rating:             important
References:         #1019079 #1025013 #1025254 #1030575 #1031481
#1031660 #1039496
Cross-References:   CVE-2017-1000364
Affected Products:
SUSE Linux Enterprise Live Patching 12
______________________________________________________________________________

An update that solves one vulnerability and has 6 fixes is
now available.

Description:

This update for the Linux Kernel 4.4.21-90 fixes several issues.

The following security bugs were fixed:

– CVE-2017-1000364: An issue was discovered in the size of the stack guard
page on Linux, specifically a 4k stack guard page is not sufficiently
large and can be “jumped” over (the stack guard page is bypassed)
(bsc#1039496).

Patch Instructions:

To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

– SUSE Linux Enterprise Live Patching 12:

zypper in -t patch SUSE-SLE-Live-Patching-12-2017-1185=1

To bring your system up-to-date, use “zypper patch”.

Package List:

– SUSE Linux Enterprise Live Patching 12 (x86_64):

kgraft-patch-4_4_21-90-default-6-3.1

References:

https://www.suse.com/security/cve/CVE-2017-1000364.html
https://bugzilla.suse.com/1019079
https://bugzilla.suse.com/1025013
https://bugzilla.suse.com/1025254
https://bugzilla.suse.com/1030575
https://bugzilla.suse.com/1031481
https://bugzilla.suse.com/1031660
https://bugzilla.suse.com/1039496